import vtk
from vtk import *

cone = vtk.vtkConeSource()
cone.SetHeight( 3.0 )
cone.SetRadius( 1.0 )

cone.SetResolution( 10 )

mapper = vtkDataSetMapper()
mapper.SetInput(cone.GetOutput())

actor = vtkActor()
actor.SetMapper(mapper)

actor.GetProperty().SetColor(1.0, 0.0, 0.3)

actor.GetProperty().SetRepresentationToWireframe()
actor.GetProperty().SetRepresentationToPoints()
actor.GetProperty().SetPointSize(10.0)

# gestion des interpolations (si donnees mappees)
# actor.GetProperty().SetInterpolationToFlat()
# actor.GetProperty().SetInterpolationToGouraud()
# actor.GetProperty().SetRepresentationToWireframe()


try:
   cassandra.getPipeLineManager().addActor(actor, "actor")
except:
   print "No Cassandra"
   
   
   
   
   
   
   
   
